Skip to content

Users and User Tasks

User tasks created by and for users

Each BT Collections user can assign tasks to other BT Collections users. Tasks can be linked to debtors, documents or emails. This endpoint gives all tasks created by and for users.

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Collections%20API%201.6.8#/Collection/getUserTasks

Permission / Auth

Bearer token with collection scope (read).

Header: Authorization: Bearer <token>

Query Parameters
Name In Required Type Description
modifiedSince query No string (date-time) Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00").
cursor query No string Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info.
Example Request
curl -X GET 'https://{your-collections-platform-host}/api/v1/user-tasks' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <token>'
Example Response
{
  "data": [
    {
      "id": 1,
      "created_at": "2024-01-15T12:00:00+00:00",
      "modified_at": "2024-01-15T12:00:00+00:00",
      "assignee_id": 1,
      "creator_id": 1,
      "debtor_id": 1,
      "email_id": 1,
      "invoice_id": 1,
      "title": "string",
      "description": "string",
      "due_date": "2024-01-15T12:00:00+00:00",
      "is_done": false
    }
  ],
  "next_batch_url": null,
  "next_batch_cursor": null,
  "resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
  "resume_cursor": "opaque-resume-cursor"
}
Batch envelope
Field Description
data Array of entities in this batch (max 100).
next_batch_cursor / next_batch_url Pass cursor on the next request until empty.
resume_cursor / resume_url Available when the full set is exhausted; use later for incremental sync.
UserTask fields
Field Type Description
id integer (int64) Id of the task
created_at string (date-time) The time this user is created.
modified_at string (date-time) The time this user is modified.
assignee_id integer (int64) The user a task was assigned to.
creator_id integer (int64) The user that created a task.
debtor_id integer (int64) The debtor that was linked to a task.
email_id integer (int64) The email that was linked to a task.
invoice_id integer (int64) The document number that was linked to a task.
title string The title of a task.
description string The description of the task.
due_date string (date-time) The due date of a task.
is_done boolean The task has been executed.

All users of the BT Collections platform

This endpoint gives a list of all the users currently active in BT Collections.

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Collections%20API%201.6.8#/Collection/getUsers

Permission / Auth

Bearer token with collection scope (read).

Header: Authorization: Bearer <token>

Query Parameters
Name In Required Type Description
modifiedSince query No string (date-time) Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00").
cursor query No string Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info.
Example Request
curl -X GET 'https://{your-collections-platform-host}/api/v1/users' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <token>'
Example Response
{
  "data": [
    {
      "id": 1,
      "created_at": "2024-01-15T12:00:00+00:00",
      "modified_at": "2024-01-15T12:00:00+00:00",
      "first_name": "string",
      "last_name": "string",
      "external_telephone": "string",
      "internal_telephone": "string"
    }
  ],
  "next_batch_url": null,
  "next_batch_cursor": null,
  "resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
  "resume_cursor": "opaque-resume-cursor"
}
Batch envelope
Field Description
data Array of entities in this batch (max 100).
next_batch_cursor / next_batch_url Pass cursor on the next request until empty.
resume_cursor / resume_url Available when the full set is exhausted; use later for incremental sync.
User fields
Field Type Description
id integer (int64) Id of the user
created_at string (date-time) The time this user is created.
modified_at string (date-time) The time this user is modified.
first_name string First name of the user.
last_name string Last name of the user.
external_telephone string External telephone of the user.
internal_telephone string Internal telephone of the user.